./fonts/tex-luaotfload, OpenType layout system for Plain TeX and LaTeX

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.14, Package name: tex-luaotfload-3.14, Maintainer: minskim

The package adopts the TrueType/OpenType Font loader code
provided in ConTeXt, and adapts it to use in Plain TeX and
LaTeX. It works under LuaLaTeX only.


Required to run:
[print/kpathsea] [fonts/tex-lm] [devel/tex-lualibs] [devel/tex-luatexbase]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)


Version history: (Expand)


CVS history: (Expand)


   2020-05-11 13:02:06 by Mark Davies | Files touched by this commit (5) | Package updated
Log message:
tex-luaotfload{,-doc}: update to 3.14

* bug fix for luaotfload-tool, luaotfload-tool --list=basename failed
* fontloader patched to resolve issue
   2020-04-26 14:21:22 by Mark Davies | Files touched by this commit (241) | Package updated
Log message:
tex-*: update to texlive 2020 versions

tex-adforn{,-doc} to 1.1b
tex-adfsymbols{,-doc} to 1.2b
tex-adobemapping to 2020
tex-alegreya{,-doc} to 2020
tex-baskervaldx{,-doc} to 1.073
tex-cabin{,-doc} to 2020
tex-ccfonts{,-doc} to 1.2
tex-cinzel{,-doc} to 2020
tex-clearsans{,-doc} to 2020
tex-countriesofeurope{,-doc} to 0.23
tex-ebgaramond{,-doc} to 2020
tex-ebgaramond-maths{,-doc} to 1.2
tex-erewhon{,-doc} to 1.104
tex-esint{,-doc} to 1.2d
tex-fira{,-doc} to 4.3.54512
tex-fontinst{,-doc} to 1.933.53562
tex-fontname{,-doc} to 2020
tex-fontools{,-doc} to 2020
tex-fontspec{,-doc} to 2.7i
tex-fourier{,-doc} to 2.2
tex-ipaex{,-doc} to 2020
tex-junicode{,-doc} to 1.0.2
tex-libertine{,-doc} to 5.3.0.54583
tex-librecaslon{,-doc} to 2020
tex-luaotfload{,-doc} to 3.12
tex-mathalpha{,-doc} to 1.13
tex-mathpazo{,-doc} to 1.003.52663
tex-merriweather{,-doc} to 2020
tex-newpx{,-doc} to 1.410
tex-newtx{,-doc} to 1.625
tex-newtxtt{,-doc} to 1.056
tex-oldstandard{,-doc} to 2.5
tex-overlock{,-doc} to 2020
tex-playfair{,-doc} to 2020
tex-psnfss{,-doc} to 9.3
tex-pxtxalfa{,-doc} to 1.54080
tex-quattrocento{,-doc} to 2020
tex-roboto{,-doc} to 2020
tex-sansmathaccent{,-doc} to 2020
tex-skull to 0.1.51907
tex-superiors{,-doc} to 1.06
tex-txfontsb{,-doc} to 1.1.1
tex-universa{,-doc} to 2.1
tex-wasy{,-doc} to 2.5
tex-wasysym{,-doc} to 2.4
tex-xcharter{,-doc} to 1.205
tex-xits{,-doc} to 1.301
tex-wasy-type1 to 001.002
   2019-12-06 20:30:17 by Mark Davies | Files touched by this commit (430)
Log message:
tex-*: add TEXLIVE_UNVERSIONED=yes
   2019-11-02 23:24:44 by Roland Illig | Files touched by this commit (62)
Log message:
fonts: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

No manual corrections.
   2019-08-11 07:40:19 by Mark Davies | Files touched by this commit (5) | Package updated
Log message:
tex-luaotfload{,-doc}: update to 2.98

- The fontloader has been synced with the context files from 2019-07-04.
- A number of small bugs has been resolved, see NEWS
- fonts can now be embolden
- missing characters are now visible
   2019-05-07 14:28:42 by Mark Davies | Files touched by this commit (5) | Package updated
Log message:
tex-luaotfload{,-doc}: update to 2.96

2.95
In contradiction to the last announcement this version of the fontloader
is still compatible with luatex 1.07. So updates will continue. This
version syncs the files with the ConTeXt files from 2019-01-28. It
improves the handling of the lucida fonts - the demi font is now used as
bold. The resolver code has been cleaned up a bit.

2.96
- In version 2.95 letterspacing was broken due to a change in the
fontloader. In version 2.96 this is now repaired. At the same time a
number of long-standing oddities and bugs in the letterspacing has been
corrected. This can change the output of existing documents!! See the
documentation for more information and ways to restore the old behaviour,

- A problem with the detection of bold fonts has been corrected (issue 41,
pull request 42).

- The fontloader has been synced with the context files from 2019-02-14.
   2019-01-30 12:09:34 by Mark Davies | Files touched by this commit (6) | Package updated
Log message:
tex-luaotfload{,-doc}: update to 2.94

This version syncs the files with the ConTeXt files from2018/12/19. It
extends the mode key to allow the use of more fontloaders. It is the last
version which can be used with luatex 1.07. Future versions will need 1.09
and will be available only at the github site until texlive 2018 is freezed.
   2017-06-21 10:28:43 by Mark Davies | Files touched by this commit (57) | Package updated
Log message:
Update to TeXlive 2017

  Updated print/tex-koma-script to 3.23
  Updated print/tex-kotex-oblivoir{,-doc} to 2.1.8
  Updated devel/tex-l3experimental to 2017
  Updated devel/tex-l3kernel{,-doc} to 2017
  Updated devel/tex-l3packages{,-doc} to 2017
  Updated print/tex-latex{,-doc} to 20170101.1
  Updated textproc/tex-latexdiff{,-doc} to 1.2.0
  Updated print/tex-leaflet{,-doc} to 1.1b
  Updated fonts/tex-libertine{,-doc} to 5.3.0.43603
  Updated devel/tex-lualibs{,-doc} to 2.5
  Updated fonts/tex-luaotfload{,-doc} to 2.8.2
  Updated print/tex-luatex{,-doc} to 1.0.4